import {
  ValidateBy,
  ValidationArguments,
  ValidationOptions,
  buildMessage,
} from 'class-validator';
import { hasProperDriverSeats } from '../has-driver-seats';

export const HasProperDriverSeats = (
  validationOptions?: ValidationOptions,
): PropertyDecorator =>
  ValidateBy(
    {
      name: '',
      constraints: [],
      validator: {
        validate: (value: any, args: ValidationArguments): boolean =>
          hasProperDriverSeats(args),
        defaultMessage: buildMessage(
          () => `driver and driver seats are not correct`,
          validationOptions,
        ),
      },
    },
    validationOptions,
  );
